uses Drivers, Objects, Views, Menus, App, MsgBox, StdDlg, Dos, crt;

const cmNcWindow = 100;
Const Font : array[0..111] of byte=(
              $00,127,64, 64,127, 64, 64, 64, 64, 64, 64, 64, 64, 64, 127,0,
              $00,254,2 , 2 ,254, 2,  2,  2,  2,  2,  2,  2,  2,  2,  254,0,
              $0F,$10,$20,$40,$FF,$80,$80,$80,$80,$80,$80,$80,$80,$80,$FF,0,
              $00,$80,$40,$20,$FC,$04,$04,$04,$04,$04,$04,$04,$04,$04,$FC,0,
              $00,$00,$E7,$E7,$E7,$00,$18,$3C,$7E,$FF,$18,$18,$1F,$1F,$00,0,
              $00,127,64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 127,0,
              $00,240,56, 60, 62, 2,  2,  2,  2,  2,  2,  2,  2,  2,  254,0
                                    );

type

  TTutorApp = object(TApplication)
    constructor Init;
    destructor  Done;                           virtual;
    procedure   HandleEvent(var Event: TEvent); virtual;
    procedure   InitStatusLine;                 virtual;
    procedure   NcWindow;
  end;

function SystemError(ErrorCode: Integer; Drive:Byte): Integer;
begin
  sound(1000);delay(10);nosound;
  SystemError:=1;
end;

constructor TTutorApp.Init;
var Rg: registers;
begin
  inherited Init;
  rg.ah:=$11;rg.al:=0;rg.es:=seg(Font);rg.bp:=ofs(Font);rg.cx:=7;rg.dx:=210;rg.bl:=0;rg.bh:=$10;Intr($10,Rg);
end;

destructor TTutorApp.Done;
begin
  SetVideoMode(smCO80);
  inherited Done;
end;

procedure TTutorApp.HandleEvent(var Event: TEvent);
begin
  inherited HandleEvent(Event);
  if Event.What = evCommand then
  begin
    case Event.Command of
      cmNcWindow: NcWindow;
    end;
  end;
end;

procedure TTutorApp.InitStatusLine;
var
  R: TRect;
begin
  GetExtent(R);
  R.A.Y := R.B.Y - 1;
  New(StatusLine, Init(R,
    NewStatusDef(0, $FFFF,
      NewStatusKey('~F3~ Small Norton Commander', kbF3, cmNcWindow,
      StdStatusKeys(nil)),
    nil)));
end;

procedure TTutorApp.NcWindow;
var FileDialog: PFileDialog;
    TheFile   : FNameStr;
begin
  TheFile := '*.*';
  New(FileDialog, Init(TheFile));
  ExecuteDialog(FileDialog, @TheFile);
  if TheFile<>'*.*' then
  MessageBox(#3'Select file:'#13#3+TheFile, nil, mfOkButton + mfInformation);
end;

var
  TutorApp: TTutorApp;

begin
  TutorApp.Init;
  TutorApp.Run;
  TutorApp.Done;
end.


